using Kingdee.BOS.Core.Report.PlugIn;
using Kingdee.BOS.Core.Report.PlugIn.Args;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GZ_LTHReportForms.ReportGSH
{
    [Description("【报表表单插件】优化日期格式"), HotUpdate]
    public class FormServicePlugIn : AbstractSysReportPlugIn
    {
        public override void FormatCellValue(FormatCellValueArgs args)
        {
            // 格式化日期
            base.FormatCellValue(args);
            if (args.Header.ColType == Kingdee.BOS.SqlStorageType.SqlDatetime)
            {
                DateTime value = Convert.ToDateTime(args.FormateValue);
                string afterValue = value.ToString("yyyy-MM-dd");
                args.FormateValue = afterValue;
            }
        }
    }
}
